diff --git a/src/backend/commands/typecmds.c b/src/backend/commands/typecmds.c
index ce8c1badb39..ef6f14785a0 100644
--- a/src/backend/commands/typecmds.c
+++ b/src/backend/commands/typecmds.c
@@ -1910,10 +1910,10 @@ makeMultirangeConstructors(const char *name, Oid namespace,
 	allParamTypes = ObjectIdGetDatum(rangeArrayOid);
 	allParameterTypes = construct_array(&allParamTypes,
 										1, OIDOID,
-										sizeof(Oid), true, 'i');
+										sizeof(Oid), true, TYPALIGN_INT);
 	paramModes = CharGetDatum(FUNC_PARAM_VARIADIC);
 	parameterModes = construct_array(&paramModes, 1, CHAROID,
-									 1, true, 'c');
+									 1, true, TYPALIGN_CHAR);
 	myself = ProcedureCreate(name,	/* name: same as multirange type */
 							 namespace,
 							 false, /* replace */
